| Home | Libraries | People | FAQ | More

## Function template copy_while

boost::algorithm::copy_while — Copies all the elements at the start of the input range that satisfy the predicate to the output range.

## Synopsis

    // In header: <boost/algorithm/cxx11/copy_if.hpp>

    template<typename InputIterator, typename OutputIterator, typename Predicate>
      std::pair< InputIterator, OutputIterator >
      copy_while(InputIterator first, InputIterator last, OutputIterator result,
                 Predicate p);

## Description

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the range
`result` | An output iterator to write the results into

Returns: | The updated input and output iterators